# setComponentAttr

## Description

Allows users to set a value to an attribute of a component.

## Input / Parameter

| Name        | Description                     | Input Type  | Default | Options | Required                           |
| ----------- | ------------------------------- | ----------- | ------- | ------- | ---------------------------------- |
| component   | The name of the component.      | String/Text | -       | -       | Partial (Yes if no 'componentId'.) |
| componentId | The id of the component.        | String/Text | -       | -       | Partial (Yes if no 'component'.)   |
| attr        | The attribute of the component. | String/Text | -       | -       | Yes                                |
| value       | The value of the attribute.     | String/Text | -       | -       | Yes                                |

**\* Note:** Either component or componentId must have value in order for this function to work.

## Output

N/A

Note: The component will be updated to show the value assigned to the attribute.

## Callback

N/A

## Video

Coming Soon.

## Example

The user override a specific atrribute of a component.

### Step

1. Draw an edit text "txtTest", a button "setComponentAttr"

   ![](/files/ugQHnDplKQ70r0iCds8X)
2. Call the function

   ![](/files/CvsIEheEUCD2kCoT37U3)

   ![](/files/xQxs7Vjb9qx2eYuGJA0d)

### Result

The attribute "value" of the edit text "txtTest" will have the value of "abc".

![](/files/AZGqjp9x7rCWzXt1ZMzn)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/setcomponentattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
